Page MenuHomePhabricator

let qubes-whonix master branch reflect latest commits
Closed, WontfixPublic

Description

I was wrong about a few things on how it's actually handled in QubesOS. - See T351#5797

current situation:

qubes-whonix package:

  • currently Whonix11 branch contains latest commits
  • master contains status of latest Whonix stable (Whonix 10 at time of writing)

all Whonix packages, such as whonix-gw-firewall etc.

  • master contains status of latest developments
  • Whonix10 maintenance branch
  • Whonix11 maintenance branch (since soon to be released)

most (all?) Qubes packages such as qubes-builder-debian, qubes-core-agent-linux:

  • master contains status of latest developments, looks like
  • branches for maintenance (and history perhaps) such as release2, looks like

proposal:

To sync things... Adapt the same style to qubes-whonix package. I.e. let master reflect latest commits.

Advantages:

  • No need to explain to future contributors "don't base on master, that's just maintenance, base on Whonix11 branch, is latest", followed by replacing that with Whonix12 in future.
  • Most common way to handle use of master branch?
  • Activity on github looks better. Github defaults to master. People see latest commit was not so long ago and perhaps look into those. Better than being swamped when it's merged into master at release time.
  • One step less (choosing Whonix11 branch) when creating github pull requests.
  • Most pull requests are based on latest (ideally: master) rather than specific versions.

Details

Impact
Normal

Event Timeline

Patrick created this task.Jun 11 2015, 1:59 PM
Patrick updated the task description. (Show Details)
Patrick raised the priority of this task from to Normal.
Patrick set Impact to Normal.
Patrick added subscribers: Patrick, nrgaway, marmarek.

I was wrong about a few things on how it's actually handled in QubesOS.

Perhaps let's move this discussion to the qubes-devel mailing list.

[qubes-devel] let github.com/QubesOS master branches reflect latest developments:
https://groups.google.com/forum/#!topic/qubes-devel/lhnx5B8YMY0


For example I would like to make a small commit, that should go into "latest unstable". At the moment Whonix12. There is no Whonix 12 branch yet.

Background; I wanted a small change to this file...
https://github.com/nrgaway/qubes-whonix/blob/master/usr/lib/qubes-whonix/messages.yaml

<p><B>Tor netvm required for updates!</B></p>
<p>Please ensure your template vm has a Whonix gateway as it's VM.</p>
<p>No updates are possible without an active (running) Whonix gateway VM.</p>

-->

<p><B>Whonix-Gateway NetVM required for updates!</B></p>
<p>Please ensure that this TemplateVM has a Whonix-Gateway as its NetVM.</p>
<p>No updates are possible without an active (running) Whonix-Gateway VM.</p>

https://github.com/nrgaway/qubes-whonix/pull/11

Patrick updated the task description. (Show Details)Jun 30 2015, 4:08 PM
Patrick updated the task description. (Show Details)
Patrick updated the task description. (Show Details)

I replied to comments in the Qubes ML thread you created :)

Patrick closed this task as Wontfix.Jul 10 2015, 5:01 PM
Patrick claimed this task.

That didn't went too well, unfortunately.